Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Interface Interactor

All Superinterfaces:
  java.util.EventListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

All Known Implementing Classes:
  AbstractResetTransformInteractor, InteractorAdapter

public interface Interactor
extends java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

This interface represents an object which interacts with a GVT component.

Method Summary
`boolean` | `endInteraction()` Tells whether the interaction has finished.
`boolean` | `startInteraction(java.awt.event.InputEvent ie)` Tells whether the given event will start the interactor.

Methods inherited from interface java.awt.event.KeyListener
`keyPressed, keyReleased, keyTyped`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseDragged, mouseMoved`

Method Detail

### startInteraction

    public boolean startInteraction(java.awt.event.InputEvent ie)

  Tells whether the given event will start the interactor.

### endInteraction

    public boolean endInteraction()

  Tells whether the interaction has finished.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.